#   File Name: check_duplicate_file.sh 
#
#  Purpose:  Check the duplicate file name 
#    such as /u01/data/system01.dbf is duplicate to /u02/datta2/system01.dbf
#   Parameters :  $1   DUPFILE_LST 
#                 $2   HOST STRING
#                 $3   BACKUP Directory  (OPTIONAL)

#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then DUPFILE_LST=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$2" ] ;  then HOST_STR=$2     ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$3" ] ;  then BKUP_DIR=$3     ; else echo $ERRMSG >&2 ; exit 1 ; fi

DUPFILE_LOG=$BKUP_DIR/$HOST_STR.dupfile.log


# *** Create list of all files for Duplicates files
# *** $DUPFILE_LST: output is intentionally prefixed with ":--" to make sure to find duplicate files 
# ***  has similairty such as "ecd.dbf" and "iecd.dbf" also skip check for ".dbf/.log/.ctl"

echo  "Source File :$DUPFILE_LST is used for all files to be checked for duplicate names"  > $DUPFILE_LOG
echo  "It Checks  Dupliacte absoulte names(without Path) for control & redo log & temp & database files " >> $DUPFILE_LOG
echo  "          a. control  files "  >> $DUPFILE_LOG
echo  "          b. redo log files "  >> $DUPFILE_LOG
echo  "          c. temp     files  " >> $DUPFILE_LOG
echo  "          d. Database files  " >> $DUPFILE_LOG
# *** Check for Dupliacte names for control / redo log /  temp / database file     
echo "\n Duplicate Database File Check StartTime: `date +%m-%d-%y....%H:%M:%S`"  >> $DUPFILE_LOG
echo " "  >> $DUPFILE_LOG
  
   cat $DUPFILE_LST | while read CURR_FILE1
     do
        curr_count=`grep "$CURR_FILE1" $DUPFILE_LST |wc -l`
             if [ $curr_count -gt 1 ]
                then
                      echo " *****ABORT BACKUP , Duplicate File Found***** "           >> $DUPFILE_LOG
                      echo " *****FOUND Duplicate File  $CURR_FILE2 while Checking for $CURR_FILE1"   >> $DUPFILE_LOG 
                      echo " Abort Time: `date +%m-%d-%y....%H:%M:%S`"   >> $DUPFILE_LOG
                      exit 1
             fi
             echo "    Checked for $CURR_FILE1 and no duplicate file found"           >> $DUPFILE_LOG 
     done 
echo "\n Duplicate File Check Finished Time: `date +%m-%d-%y....%H:%M:%S`"   >> $DUPFILE_LOG





