#   File Name:  check_instance_up.sh
#
#   Purpose: Checks if the instance SMON process is existing to verify
#            if an Oracle instance is up or not
#             
#   Return value :  0 = Instance is Up   1= Instance is Down
#
#   Assumption: None 
#
#   Parameters:   $1  SID (case sensitive)
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
# 


ERRMSG="`basename $0`: syntax error"

if [ "$1" ]; then SID=$1; else echo $ERRMSG >&2; exit 1; fi

STATUS=`ps -ef | grep "ora_[a-z]**_$SID"`
if  [ $? = 0 ]; then
   echo "Oracle Instance $SID is up."
   echo "Finished Checking "
   echo "------------------"
   echo "exiting with status 0" 
   exit 0
else
   echo "Oracle instance $SID is not up." 
   echo "Finished Checking "
   echo "------------------"
   echo "exiting with status 1"
   exit 1
fi


