#   File Name: check_oracle_sid_env_file.sh 
#
#   Purpose: Checks if ORACLE_SID.env file exists or not 
#             
#   Assumption: None 
#
#   Parameters:   $1  HOST_STR (case sensitive)
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
# 

ERRMSG="`basename $0`: syntax error"
if [ "$1" ]; then HOST_STR=$1; else echo $ERRMSG >&2; exit 1; fi

STATUS=`ps -ef | grep tnslsnr|grep " $HOST_STR "`
JOB1=$?

STATUS_CASE=`ps -ef | grep tnslsnr|grep -i " $HOST_STR "`
JOB2=$?

if       [ $JOB1 = 0 ]; then
         echo "Oracle Listener $HOST_STR is up."
         exit 0
fi

if       [ $JOB2 = 0 ]; then
         echo "Listener Running  with different case (Upper/Lower) than  $HOST_STR"
         echo " Listener Process = $STATUS_CASE"
         exit 1
fi

if      [ $JOB2 = 1 ]; then
        echo "Oracle Listener $HOST_STR is DOWN,   Therfore  Can not perform BACKUP." 
        exit 1
fi


