#   File Name: check_system_passwd.sh 
#
#   Purpose:  Connects to SQL*Plus and check if the SYSTEM password
#             passed is valid or not
#
#   Return Value :  0 = password is valid  1= password is not valid 
#
#   Parameters :  $1   SYSTEM PASSWORD
#                 $2   HOST STRING
#                 $3   DUMMY LOG FILE 
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#  


ERRMSG="`basename $0`: syntax error"
if [ "$1" ]
  then SYS_PWD=$1
else 
  echo $ERRMSG >&2
  exit 1          
fi

if [ "$2" ]
  then HOST_STR=$2
else
  echo $ERRMSG >&2
  exit 1
fi     

if [ "$3" ]
  then SPOOL_FILE=$3
else
  SPOOL_FILE="./`basename $0`.log" 
fi     


sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

show user
EOF

grep -i 'USER is "SYSTEM"' $SPOOL_FILE
STATUS=$?
#rm $SPOOL_FILE
if [ $STATUS = 0 ] 
then
  echo "0"
  exit 0
else
  echo "1"
  exit 1
fi

