#   File Name: gen_db_size.sh
#
#   Purpose: get compressed database size
#            
#   Parameters :  $1  SPOOL_FILE  --> For ARCHIVELOG Check
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#

ERRMSG="`basename $0`: syntax error"
if [ "$1" ]; then SPOOL_FILE=$1;  else echo $ERRMSG >&2; exit 1;  fi


sqlplus -s  " /as sysdba  "   << EOF
spool $1 
set verify off;
set termout off;
set pagesize 0;
set linesize 1000
set trimspool on
set feedback off
set serveroutput on size 1000000


Declare
v_db_size      number;

cursor C1 is 
select sum(bytes) from dba_data_files
union
select sum(bytes) from v\$tempfile
union
select sum(bytes * members) from sys.v_\$LOG;

begin

   open c1;
       	fetch c1 into v_db_size;
        DBMS_OUTPUT.PUT_LINE ('DB_SIZE='||v_db_size);
        /* for 80% compresstion ratio */
         DBMS_OUTPUT.PUT_LINE ('COMPRESSED_DB_SIZE='||v_db_size * .20); 
  close c1;
end;
/

exit;
EOF




