#   File Name: get_duplicate_file.sh 
#
#  Purpose:  Connects to system and runs a SQL
#             command that displays the list of control files
#
#   Parameters :  
#                 $1   spool file name for Duplicate File List 

#   Created by  :  Ajay Jain  01/15/03
#   Modified by :

ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then DUPFILE_LST=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi


# *** Create list of all files for Duplicates files
# *** $DUPFILE_LST: output is intentionally prefixed with ":" to make sure to find duplicate files 
# ***  has similairty such as "ecd.dbf" and "iecd.dbf" such as grep for ecd will return duplicate" 
   sqlplus -s  "/as sysdba" > $DUPFILE_LST << EOF

   set verify off;
   set termout off;
   set feedback off;
   set pagesize 0;
   set heading off;
   set trimspool on;
   set linesize 180;

   select ':'|| substr (name , instr( name, '/', -1) +1 ,     length ( name)  )  from v\$controlfile order by name;
   select ':'|| substr (member,instr( member, '/', -1) +1 , length ( member))    from v\$logfile order by member;
   select ':'|| substr (name , instr( name, '/', -1) +1 ,     length ( name)  )  from v\$tempfile order by name;
   select ':'|| substr (name , instr( name, '/', -1) +1 ,     length ( name)  )  from v\$datafile order by name;
   exit 
   EOF

 

 

