#   File Name: get_file_count.sh.sh 
#
#   Purpose:  Connects as SYSTEM and runs a PL/SQL
#             block that displays the list of datafiles 
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;
set linesize 1000
set trimspool on
set Heading off

select 'tablespaces      '|| count(*)   from dba_tablespaces;
select ' ' from dual;
select  'control_files   '|| count(*)   from v\$controlfile;
select  'log_files       '|| count(*)   from v\$logfile;
select  'temp_files      '|| count(*)   from v\$tempfile;
select  'data_files      '|| count(*)   from v\$datafile;

select 'all_files        '||
sum ( 
(select  count(*)   from v\$controlfile) +
(select  count(*)   from v\$logfile)     +
(select  count(*)   from v\$tempfile)    +
(select  count(*)   from v\$datafile) 
)
from dual;

EOF


