#   File Name:  group_filesz.sh
#
#   Purpose: Groups the datafile and redologs according to size 
#            
#   Return value :  
#
#   Assumption: 
#
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
# 

ERRMSG="`basename $0`: syntax error: group_filesz.sh "

if [ "$1" ] ;  then HOST_STR=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$2" ] ;  then SPOOL_FILE=$2  ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$3" ] ;  then NUM_OF_GRPS=$3  ; else NUM_OF_GRPS=3 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set feedback off;
set pagesize 0;

DROP TABLE BKUP_SORT;
CREATE TABLE BKUP_SORT
(
FILE_NAME VARCHAR2(257),
BYTES     NUMBER,
BKUP_GRP  NUMBER(1)
);


DECLARE

   CURSOR c1 IS 
      select file_name, bytes from dba_data_files
      union
      select b.member, a.bytes from v\$log a, v\$logfile b
      where a.group#=b.group# order by 2 desc;

   v_rownum   NUMBER(4) :=0;
   v_bkup_grp NUMBER(2) :=0;
   v_num_of_grps NUMBER(2) :=$NUM_OF_GRPS;

   PROCEDURE write_out
     (pfile_name VARCHAR2, pbytes NUMBER, pgroup NUMBER)
   IS
   BEGIN
     insert into 
       bkup_sort (file_name,  bytes,  bkup_grp)
       values    (pfile_name, pbytes, pgroup);
   END;

   FUNCTION get_group_number
       (pnum_of_groups NUMBER, pcurr_bytes NUMBER)
   RETURN NUMBER
   IS
     v_return_value NUMBER :=0;
     v_sum1   NUMBER :=0;
     v_sum2   NUMBER :=0;
     v_sum3   NUMBER :=0;
     v_sum4   NUMBER :=0;
     v_sum5   NUMBER :=0;
     v_sum6   NUMBER :=0;
     v_sum7   NUMBER :=0;
     v_sum8   NUMBER :=0;
     v_sum9   NUMBER :=0;
   BEGIN
       select nvl(sum(bytes),0)
       into   v_sum1
       from   bkup_sort
       where  bkup_grp=1;

       select nvl(sum(bytes),0)
       into   v_sum2
       from   bkup_sort
       where  bkup_grp=2;

       select nvl(sum(bytes),0)
       into   v_sum3
       from   bkup_sort
       where  bkup_grp=3;

       select nvl(sum(bytes),0)
       into   v_sum4
       from   bkup_sort
       where  bkup_grp=4;

       select nvl(sum(bytes),0)
       into   v_sum5
       from   bkup_sort
       where  bkup_grp=5;

       select nvl(sum(bytes),0)
       into   v_sum6
       from   bkup_sort
       where  bkup_grp=6;

       select nvl(sum(bytes),0)
       into   v_sum7
       from   bkup_sort
       where  bkup_grp=7;

       select nvl(sum(bytes),0)
       into   v_sum8
       from   bkup_sort
       where  bkup_grp=8;

       select nvl(sum(bytes),0)
       into   v_sum9
       from   bkup_sort
       where  bkup_grp=9;

       if     pnum_of_groups >= 2 and (v_sum1 - v_sum2) >= pcurr_bytes then
          return 2;
       elsif  pnum_of_groups >= 3 and (v_sum1 - v_sum3) >= pcurr_bytes then
          return 3;
       elsif  pnum_of_groups >= 4 and (v_sum1 - v_sum4) >= pcurr_bytes then
          return 4;
       elsif  pnum_of_groups >= 5 and (v_sum1 - v_sum5) >= pcurr_bytes then
          return 5;
       elsif  pnum_of_groups >= 6 and (v_sum1 - v_sum6) >= pcurr_bytes then
          return 6;
       elsif pnum_of_groups >= 7 and (v_sum1 - v_sum7) >= pcurr_bytes then
          return 7;
       elsif  pnum_of_groups >= 8 and (v_sum1 - v_sum8) >= pcurr_bytes then
          return 8;
       elsif  pnum_of_groups >= 9 and (v_sum1 - v_sum9) >= pcurr_bytes then
          return 9;
       else
          return 1;
       end if;
  END;
   
BEGIN

    FOR c1_cur IN c1 LOOP
       
       v_rownum := v_rownum + 1;

       IF v_rownum=1 THEN

          v_bkup_grp := 1;
       ELSE
        
          v_bkup_grp := get_group_number(v_num_of_grps, c1_cur.bytes);

       END IF;

       write_out(c1_cur.file_name, c1_cur.bytes,v_bkup_grp);
 
    END LOOP;
END;
/


set heading off
set recsep  off

select bkup_grp, sum(bytes)
from bkup_sort
group by bkup_grp;

select decode(bkup_grp,1,'SET1',2,'SET2',3,'SET3',4,'SET4',5,'SET5'
                      ,6,'SET6',7,'SET7',8,'SET8',9,'SET9')
        ||'~'||file_name||'~'||bytes
from bkup_sort
order by bkup_grp;

drop table bkup_sort;

EOF


