
#   File Name: hot_backup_check.sh 
#
#   Purpose:  Connect to SQL*Plus as SYSTEM
#              and sets a tablespace to backup mode.
#

ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi


sqlplus -s  " /as sysdba  " > $SPOOL_FILE << EOF

set verify off;
set termout off;
set pagesize 0;
set linesize 1000
set trimspool on


--    ACTIVE Means tablespace is in Backup Mode
select to_char ( sysdate, 'DD-MON-YY HH24:MI:SS') from dual;
select name from v\$database;
select a.tablespace_name
--   , a.file_name, a.bytes/1024/1024 "MB", b.status 
from dba_data_files a, v$backup b
where a.file_id = b.file#
and  b.status = 'ACTIVE'
order by   a.tablespace_name, a.file_name;
exit;
EOF

