#   File Name:  generate_datafile_info.sh
#
#   Purpose:  Connects as SYSTEM and runs a SQL*Plus script 
#             that displays datafile information
#   
#
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :

ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then SPOOL_FILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi

sqlplus -s  " /as sysdba  " > $SPOOL_FILE  << EOF

set pagesize 0
break on today 
column today noprint new_value xdate 
select substr(to_char(sysdate,'fmMonth DD, YYYY HH:MI:SS P.M.'),1,35) today 
    from dual; 


column name noprint new_value dbname 
select name from v\$database; 


column totalspace noprint new_value xtotal
select sum(bytes)/(1024*1024) totalspace from sys.dba_data_files;

set pagesize 66 
set line 132 
set wrap on
clear breaks 
clear computes 
break on "Tablespace Name" skip 1
column Dummy noprint
column "Tablespace Name" format A20
column "Bytes" format 9,999,999,999 
column "Datafile Name" format A35
compute Sum of Mbytes "MBytes" on "Tablespace Name" 

TTitle left "Database: "dbname", Datafile Information (As of: " xdate ")" -
  skip 1 "Sum of Tablespaces (MB) : "xtotal"" skip 2 

select  tablespace_name Dummy, 
        substr(TABLESPACE_NAME,1,30) "Tablespace Name", 
        FILE_NAME "DataFile Name", 
        BYTES/(1024*1024) "MBytes", 
        STATUS 
from sys.dba_data_files 
order by TABLESPACE_NAME, FILE_NAME;

EOF


