
#   File Name:  hot_backup_process.sh 
#   Purpose:    actual hot backup task 
#
#   Parameters:
#       $1 TBSPACE_LST     -  Tablespace list for each group 
#       $2 TBSPACE_LST2    -  Datafiles with tablespace_name
#       $3 GROUP_NUMBER    -  Group number
#       $4 BKUP_DIR        -  Backup Directory 
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#


ERRMSG="`basename $0`: syntax error "

if [ "$1" ]; then TBSPACE_LST=$1;   else echo $ERRMSG >&2; exit 1; fi
if [ "$2" ]; then TBSPACE_LST2=$2;  else echo $ERRMSG >&2; exit 1; fi
if [ "$3" ]; then GROUP_NUMBER=$3;  else echo $ERRMSG >&2; exit 1; fi
if [ "$4" ]; then BKUP_DIR=$4;      else echo $ERRMSG >&2; exit 1; fi
if [ "$5" ]; then BKUP_SCR=$5;      else echo $ERRMSG >&2; exit 1; fi

GROUPFILE_LST=$BKUP_DIR/temp_dbf_$GROUP_NUMBER.lst
SPOOL_FILE=$BKUP_DIR/tbs_backup_status.lst


cat $TBSPACE_LST | while read TABLESPACE
     do
       echo "    Backing up now  tablespace:    $TABLESPACE ..."
          # *** Set $TABLESPACE to 'begin backup'
             echo "       begin  Backup:  $TABLESPACE ..."
             $BKUP_SCR/hot_set_tbsp_begin_backup.sh $TABLESPACE $SPOOL_FILE

          # *** Get the $TABLESPACE's list of datafiles to be backed up
             grep "$TABLESPACE~" $TBSPACE_LST2 | awk -F"~" '{print $2}' > $GROUPFILE_LST
             echo "      Following are the list of datafiles for Tablespace  $$TABLESPACE" 
             cat $GROUPFILE_LST 

          # ***  START the  "hot backup" of each datafiles per Tablespace
             echo "      Compressing datafiles For Tablespace:   $TABLESPACE ..."
             $BKUP_SCR/bkup_compress.sh $GROUPFILE_LST  $BKUP_DIR

          # *** Set $TABLESPACE to 'end backup'
             echo "   ending online backup of tablespace : $TABLESPACE ..."
          $BKUP_SCR/hot_set_tbsp_end_backup.sh  $TABLESPACE  $SPOOL_FILE
     done

