#   Name: cr_restore.sh 
#   Purpose:  generate restore script. 
#
#   Assumption:  
#                
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#
# How to run:


ERRMSG="`basename $0`: syntax error "

if [ "$1" ]; then HOST_STR=$1; else echo $ERRMSG >&2; exit 1; fi  
if [ "$2" ] ; then BKUP_DIR=$2 ; else echo $ERRMSG >&2; exit 1; fi 



BKUP_SCR=/orabackup/scripts
DFILE_LST=$BKUP_DIR/$HOST_STR.dfile.lst
CTLFILE_LST=$BKUP_DIR/$HOST_STR.ctlfile.lst
REDOLOGS_LST=$BKUP_DIR/$HOST_STR.redo.lst
TEMPFILE_LST=$BKUP_DIR/$HOST_STR.tempfile.lst
RESTORE_SCR=$BKUP_DIR/RESTORE_$HOST_STR.sh
BKUP_CTLFILE=$BKUP_DIR/$HOST_STR.binary_backup_control_file.ctl
ALL_FILE_LIST=$BKUP_DIR/$HOST_STR.all_file.lst
DFILE_FTP_LST1=$BKUP_DIR/$HOST_STR.dfile_ftp_tmp.lst
DFILE_FTP_LST2=$BKUP_DIR/ftp_list.txt

BKUP_STARTTIME=`date +%m%d%y.%H:%M:%S`
echo "     creating database restore script ... :$BKUP_STARTTIME"

if [ -r $RESTORE_SCR ]; then rm -f $RESTORE_SCR; fi

# *** Create a restore script
echo "# Restore script for $HOST_STR"    > $RESTORE_SCR
echo "# Script creation Date: `date`"   >> $RESTORE_SCR
echo " " >> $RESTORE_SCR
echo " "                                >> $RESTORE_SCR

# *** Create list of datafiles for hot copy
   echo "\n    Getting list of datafiles to create Restore Script ..."
   $BKUP_SCR/get_datafiles.sh $DFILE_LST
   echo "    Status: $?"
   ls -l  $DFILE_LST


# *** Create list of control files for hot copy
   echo "\n    Getting list of control files for hot backup & to create Restore Script .."
   $BKUP_SCR/get_ctlfiles.sh  $CTLFILE_LST
   echo "    Status: $?"
   ls -l  $CTLFILE_LST


# *** Create list of redo logs for hot copy
   echo "\n    Getting list of redologs for hot backup & to create Restore Script ..."
   $BKUP_SCR/get_redologs.sh $REDOLOGS_LST
   echo "    Status: $?"
   ls -l  $REDOLOGS_LST


# *** Get list of temp data files for  COLD BACKUP Restore scripts
   echo "\n    Getting list of tempfiles  to create Restore Script...$TEMPFILE_LST"
   $BKUP_SCR/get_tempfiles.sh $TEMPFILE_LST
   echo "    Status: $?"
   ls -l  $TEMPFILE_LST

########## EXECUTION ######################
# ***  control files for Restore script 
echo " " >> $RESTORE_SCR
echo " " >> $RESTORE_SCR
echo 'echo "Start time: `date`"'        >> $RESTORE_SCR
echo " "                                >> $RESTORE_SCR

echo " ############# Section:  CONTROLFILE  Restore ##############"   >> $RESTORE_SCR
cat $CTLFILE_LST | while read CONTROLFILE
  do
    ls -l   $CONTROLFILE  >> $ALL_FILE_LIST
    CURR_FILE=`basename $CONTROLFILE`
    echo " "                            >> $RESTORE_SCR
    echo "echo 'Restoring Hot Backups Binary control file $CONTROLFILE ... '" >> $RESTORE_SCR
    echo "####  cp $BKUP_CTLFILE   $CONTROLFILE" >> $RESTORE_SCR
    echo 'echo "Status: $?"'            >> $RESTORE_SCR
  done


# ***  Redo Log files for Restore script
echo " " >> $RESTORE_SCR
echo " " >> $RESTORE_SCR
echo " ##########------------------- Section:  RE-DO LOGS  Restore -------------------"   >> $RESTORE_SCR
echo " #**  Current Redo logs & current Contrlfiles are required for the COMPLETE Recovery"  >> $RESTORE_SCR
echo " #**  Following Section are for INCOMPLETE  Recovery:..      "  >> $RESTORE_SCR
echo " #**     INCOMPLETE  Recovery requires RESETLOGS when database is opened"  >> $RESTORE_SCR
echo " #**     Recovery using backup controlfile always requires RESETLOGS "  >> $RESTORE_SCR
echo " #***    Redo logs & Standby Redo Logs are not backed up for the Hot Backup"   >> $RESTORE_SCR
echo " #***    Redo logs will be created at the alter database open resetlogs  "   >> $RESTORE_SCR
echo " #***    Redo logs  were  as follow    "   >> $RESTORE_SCR
echo " "                           >> $RESTORE_SCR
cat $REDOLOGS_LST | while read REDOLOG
  do
  ls -l   $REDOLOG  >> $ALL_FILE_LIST 
   CURR_FILE=`basename $REDOLOG`
    echo "echo 'Redo Log file Name :   $REDOLOG'" >> $RESTORE_SCR
    #echo "#### uncompress < $BKUP_DIR/$CURR_FILE.Z > $REDOLOG"    >> $RESTORE_SCR
    #echo 'echo "Status: $?"'           >> $RESTORE_SCR
  done


# ***  Datafiles files for Restore script
echo " " >> $RESTORE_SCR
echo " " >> $RESTORE_SCR
echo " ##########------------------- Section:  DATAFILE   Restore -------------------"   >> $RESTORE_SCR
cat $DFILE_LST | while read DATAFILE
  do
    ls -l   $DATAFILE  >> $ALL_FILE_LIST
    CURR_FILE=`basename $DATAFILE`
    echo " " >> $RESTORE_SCR
    echo "echo 'Restoring $DATAFILE ... '"  >> $RESTORE_SCR
    echo "#### uncompress < $BKUP_DIR/$CURR_FILE.Z > $DATAFILE"  >> $RESTORE_SCR
    echo 'echo "Status: $?"'            >> $RESTORE_SCR
  done

# ***  Temp  data files  for Restore script
 echo " " >> $RESTORE_SCR
   echo " " >> $RESTORE_SCR
   echo " ##########------------------- Section:   TEMP FILES  Restore -------------------"   >> $RESTORE_SCR
   echo " #***   TEMP datafiles were not backed up for the hot backup " >> $RESTORE_SCR
   echo " #***   Temp Tablespace can not be HOT BACKED up "   >> $RESTORE_SCR
   echo " #***   echo   after Database open , run following command for tempfile  "  >> $RESTORE_SCR
   echo " #***   Control file has no info about Temp file therfore number & size of files can be  "  >> $RESTORE_SCR
   echo " #***  anything such as tempfile can be added as only 1 or 5 or 10  "  >> $RESTORE_SCR
   cat $TEMPFILE_LST | while read TEMPFILE
     do
       echo " #***  tempfile    :  $TEMPFILE "  >> $RESTORE_SCR
     done

   echo "\n #** SYNTAX:   " >> $RESTORE_SCR
   cat $TEMPFILE_LST | while read TEMPFILE
     do
       echo " #***  alter tablespace TEMP add tempfile '$TEMPFILE' "  >> $RESTORE_SCR
       echo " #***       size 100M resuse autoextend on next 100M maxsize 2000M;  "  >> $RESTORE_SCR
     done


echo " " >> $RESTORE_SCR
echo "echo 'Starting up the database ....'" >> $RESTORE_SCR
echo "# *** $BKUP_SCR/startup_db.sh $HOST_STR" >> $RESTORE_SCR 
echo  " " >> $RESTORE_SCR
echo 'echo "Restore End time: `date`"' >> $RESTORE_SCR 
chmod 400 $RESTORE_SCR

#####echo "Start time:  $BKUP_STARTTIME"
#####echo "End   time:  `date +%m%d%y.%H:%M:%S`"  

# ***  Datafiles files for FTP  ( Only data files, without TEMP, RBS, REDO Logs, Control files )
        $BKUP_SCR/get_ftp_dfiles.sh $DFILE_FTP_LST1
        echo "  Generatin of ftp list    Status: $?"
        cat $DFILE_FTP_LST1 | while read DATAFILE
        do
          CURR_FILE=`basename $DATAFILE`
          echo $CURR_FILE >> $DFILE_FTP_LST2
         done
   rm $DFILE_FTP_LST1

