
#   File name: hot_backup_checkpoint.sh 
#
#   Purpose:     Runs server manager, connects internally, 
#                then starts up the database
#
#   Parameters:  $1   HOST STRING
#                $2   BKUP_CTLFILE
#                $3   SPOOL FILE
#
#   Assumption:  init.ora is $ORACLE_HOME/dbs/init$HOST_STR.ora
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :


ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then BKUP_CTLFILE=$1  ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$2" ] ;  then SPOOL_FILE=$2  ; else echo $ERRMSG >&2 ; exit 1 ; fi


sqlplus -s  " /as sysdba  " > $SPOOL_FILE <<EOF
 set heading off; 
 alter database backup controlfile to '$BKUP_CTLFILE';  
 select ' This Information is before backup'from dual ;
 select 'checkpoint_change#  ' ||CHECKPOINT_CHANGE# ||'  was found at ' \
    || to_char( sysdate, 'DD-MM-YY HH24:MI:SS')  from v\$database;
 alter system checkpoint;
 alter system archive log current;

 select sequence#, first_change#, to_char(FIRST_TIME,'DD-MON-YYYY HH24:MI:SS')
    from v\$loghist  where sequence# = ( select max(SEQUENCE#) from v\$loghist);
 archive log list;
 prompt  FINISHD creating Binary Control file and  making new archive log 
select to_char(sysdate, 'DD-MM-YY HH24:MM:SS') from dual;
exit
EOF                       

