
#   File Name: hot_tbs_sort.sh
#
#   Purpose:  sort tablespaces by byte size & group them 
#              
#
#   Parameters :
#                 $1  GROUP_NUMBER  = Number of paralel processes

ERRMSG="`basename $0`: syntax error "


if [ "$1" ]; then GROUP_NUMBER=$1; else GROUP_NUMBER=5;  fi
##if [ "$1" > 9  ]; then echo "No of process should be 1 - 9, you specified $1"; exit 1;  fi
sqlplus -s  " /as sysdba  "   << EOF

set verify off;
set termout off;
set pagesize 0;
set linesize 1000
set trimspool on
set feedback off
set serveroutput on size 1000000


select table_name from dba_tables where table_name = 'HOT_BACKUP_SORT';
--  Check for exitence of table
  create table hot_backup_sort 
   ( group_number     number,
     tablespace_name  varchar2(30),
     bytes            number,
     seq_number       number);
delete from hot_backup_sort;
commit;


Declare
v_group_number      number;
v_tablespace_name   varchar2(30);
v_bytes             number;
v_seq_number        number;

cursor C1 is 
select tablespace_name, sum(bytes) "A"  from dba_data_files
       where tablespace_name != 'TEMP'
       group by tablespace_name
       order by A asc, tablespace_name asc;

begin
  v_group_number := 1;
  v_seq_number   := 1;

   open c1;
     loop 
       	fetch c1 into v_tablespace_name, v_bytes;
  	exit when c1%NOTFOUND;
        --DBMS_OUTPUT.PUT_LINE ('    ' || v_group_number||' ' ||v_tablespace_name ||'     '|| v_bytes  );
       insert into hot_backup_sort ( group_number, tablespace_name, bytes,seq_number)
        	values ( v_group_number, v_tablespace_name, v_bytes, v_seq_number);
		commit;
        	v_group_number := v_group_number + 1 ;
                v_seq_number   := v_seq_number + 1 ; 
		if v_group_number > $GROUP_NUMBER  
	        then 
                v_group_number := 1;
                end if;
     end loop;
  close c1;
end;
/

set heading on
select 'group_number = '||group_number||'     size = ' ||sum(bytes)/1024/1024 || ' MB' from hot_backup_sort group by group_number;

exit;
EOF




