
#   File Name: rcp_backup.sh 
#
#  Purpose:  RCP the backup dir to remote location 
#                 $1   HOST STRING
#                 $2   BKUP_MODE 
#                 $3   Remote server name
                 

#   Created by  :  Ajay Jain  05/30/03
#   Modified by :

ERRMSG="`basename $0`: syntax error"
echo " HOST_STR      = RPTPROD    or FINPROD "
echo " BKUP_MODE     = cold       or hot "

if [ "$1" ] ;  then HOST_STR=$1          ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$2" ] ;  then BKUP_MODE=$2         ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$3" ] ;  then REMOTE_SERVER=$3     ; else echo $ERRMSG >&2 ; exit 1 ; fi

###sample name --> last_backup_dir_name_cold_RPTPROD.txt 

LAST_BACKUP_DIR=/orabackup/$HOST_STR/last_backup_dir_name_"$BKUP_MODE"_"$HOST_STR".txt
if [  -r $LAST_BACKUP_DIR ]
  then
    RCP_FROM_DIR=`cat $LAST_BACKUP_DIR`
    echo "\n\n Sending backup Dir Name=  $RCP_FROM_DIR" 
    rcp -rp $RCP_FROM_DIR $REMOTE_SERVER:$RCP_FROM_DIR 
  else 
   echo " $LAST_BACKUP_DIR not found, RCP to $REMOTE_SERVER not started " 
fi

