#   Name:  restore_db_cold_dr.sh
#   Purpose:  Restore Cold Database to DR server 
#   Parameters:  
#                $1   HOST STRING
#                $2   Backup Directory (optional)
#                
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
#
# How to run:
# /orabackup/scripts/cold_bkup.sh system_password HOST_STR | tee logfile


ERRMSG="`basename $0`: syntax error"

if [ "$1" ] ; then HOST_STR=$1 ;     else echo $ERRMSG >&2 ; exit 1;  fi        
if [ "$2" ] ; then BKUP_DIR=$2 ;     else echo $ERRMSG >&2 ; exit 1;  fi 
if [ "$3" ];  then NUM_OF_PROCS=$3 ; else NUM_OF_PROCS=5   ; fi

BKUP_SCR=/orabackup/scripts

DFILE_LST=$BKUP_DIR/$HOST_STR.dfile.lst
CTLFILE_LST=$BKUP_DIR/$HOST_STR.ctlfile.lst
REDOLOGS_LST=$BKUP_DIR/$HOST_STR.redo.lst
TEMPFILE_LST=$BKUP_DIR/$HOST_STR.tempfile.lst
FILE_COUNT_LST=$BKUP_DIR/$HOST_STR.filecount.lst
DETAILDFILE_LST=$BKUP_DIR/$HOST_STR.detailed_dfile_info.lst
RESTORE_SCR=$BKUP_DIR/RESTORE_$HOST_STR.sh
INST_STAT=$BKUP_DIR/$HOST_STR.instance_status.log
DUPFILE_LST=$BKUP_DIR/$HOST_STR.dupfile.lst



RESTORE_START_TIME=`date +%m%d%y.%H:%M:%S`

echo " "
echo "Starting cold backup of $HOST_STR... :$RESTORE_START_TIME"


# *** Check if instance is up, 
   echo "\nChecking if instance is up ..."
   INSTANCE_STATUS=`$BKUP_SCR/check_instance_up.sh $HOST_STR > $INST_STAT`
     if [ "$INSTANCE_STATUS" = "0" ]; then
        echo "     Instance is  up.  Shutting the Database  of $HOST_STR...." 
        shutdown_db2.sh 
    else
        echo "     Intsance is already down, continueing   with  Restore.."
     fi  

#*** Get last backup date File

#*** Check if the backup info is current in the file 

#*** get the backup Dir from Prod

#*** Modify restore file & launch the restore

#*** Check the status of the Restore



echo " "
echo "Start time:  $RESTORE_START_TIME"
echo "End   time:  `date +%m%d%y.%H:%M:%S`"  


