
#   File name: shutdown_db.sh
#
#   Purpose:     Runs server manager, connects internally, creates a binary
#                copy of control file then shuts down
#                the database
#
#   Parameters:  $1   HOST STRING
#                $2   DESTINATION OF BINARY BACKUP OF CONTROL FILE
#
#   Assumption:  init.ora is $ORACLE_HOME/dbs/init$HOST_STR.ora
#   Created by  :  Ajay Jain  01/15/03
#   Modified by :
# startup  restrict pfile=$INIT_FILE;

ERRMSG="`basename $0`: syntax error"
if [ "$1" ] ;  then BKUP_CTL_FILE=$1 ; else echo $ERRMSG >&2 ; exit 1 ; fi
if [ "$2" ] ;  then SPOOL_FILE=$2 ; else echo $ERRMSG >&2 ; exit 1 ; fi


sqlplus -s  " /as sysdba  " > $SPOOL_FILE <<EOF
select to_char(sysdate, 'DD-MM-YY HH24:MM:SS') from dual;
alter system checkpoint;
alter database backup controlfile to '$BKUP_CTL_FILE';
-- shutdown abort;
-- startup  restrict ;
shutdown immediate;
exit
EOF                       


